<?xml version="1.0" encoding="utf-8" ?>
<DUMMY>
    <INCLUDE_ONCE file="$THEME_NAME$-Theme/theme.inc"/>
    <INCLUDE_ONCE file="$THEME_NAME$-Ext/mapping.inc"/>
    <INCLUDE_ONCE file="$THEME_NAME$-Theme/language_extensions/language_extensions.inc"/>
    
    <!-- Defines -->
    <INCLUDE_ONCE file="$THEME_NAME$-Ext/colors.inc"/>
    <VARIABLE id="spacing" value="4"/>

    <DEFINE>
        <CUS_BOX2 base_type="THEME_BOX" layout_type="column" h_margin="0" spacing="1"/>
        <CUS_KNOB base_type="THEME_SMALL_KNOB" />
        <CUS_CATEGORY_TEXT base_type="TEXT" font_size="14" text_color="$CATEGORY_TEXT_COLOR$" />
        <CUS_BOX_COLUMN base_type="COLUMN" h_margin="10" v_margin="2" spacing="5" />
        <CUS_BOX_ROW base_type="ROW" h_margin="4" v_margin="4" spacing="0" />
        <CUS_FREEZE_BUTTON base_type="IMAGE_PARAM_BUTTON" image="$THEME_NAME$-Ext/freeze_button.png" image_focus="$THEME_NAME$-Ext/freeze_button_hover.png" cursor="system::hand"/>
        <CUS_LISTEN_BUTTON base_type="IMAGE_PARAM_BUTTON" image="$THEME_NAME$-Ext/listen_button.png" image_mouse_mask="" cursor="system::hand"/>
        <CUS_REVERSE_KNOB base_type="IMAGE_PARAM_KNOB" pixel_range="128" image="$THEME_NAME$-Ext/small_knob_reverse.png" image_hover="$THEME_NAME$-Ext/small_knob_reverse_hi.png" image_focus="$THEME_NAME$-Ext/small_knob_reverse_hi.png" image_pushed="$THEME_NAME$-Ext/small_knob_reverse_hi.png" images_count="127" positions_count="127" image_orientation="vertical" cursor="system::hand" ignore_mask_files="true"/>
        <CUS_GRID base_type="GRID" width="100%" height="100%" subdiv_color="$CURVE_GRID_SUBDIV_COLOR$" color="$CURVE_GRID_COLOR$" origin_color="$CURVE_GRID_ORIGIN_COLOR$"/>
    </DEFINE>

    <!-- Includes -->
    <INCLUDE file="$THEME_NAME$-Ext/tooltip.inc" />
    <INCLUDE file="$THEME_NAME$-Ext/text_value.inc" />
    <INCLUDE file="$THEME_NAME$-Ext/separator.inc" />
    <INCLUDE_ONCE file="$THEME_NAME$-Ext/led_button.inc"/>
    
    <!-- Level meter -->
    <INCLUDE_ONCE file="$THEME_NAME$-Ext/vmeter/vmeter.inc"/>
    <TEMPLATE id="TPL_CHANNEL_METER" param_id="#UNDEFINED#" hold_param_id="#UNDEFINED#" ruler_after="0" direction="input">
        <ROW spacing="1" flex="1">
            <PARAM_LINK from="$param_id$_meter.ruler.height" to="$param_id$_meter.ruler.positions_count" formula="(x&lt;120)*6+((x&gt;=120)&amp;&amp;(x&lt;400))*11+(x&gt;=400)*21"/>
            <PARAM_LINK from="$param_id$_meter.ruler.height" to="$param_id$_meter.ruler.visible" formula="(x&gt;=25)"/>
            <REPEAT count="$ruler_after$==0">
                <RULER id="$param_id$_meter.ruler" param_info_id="$$param_id$1$.info" positions_count="11" height="100%" text_v_align="center" v_margin="6" width="15" orientation="vertical" content="{value}" value_format=".0" text_color="$RULER_COLOR$" font_size="11" offset="1"/>
            </REPEAT>
            <ROW  v_margin="6" height="100%">
                <GRID y_subdiv_count="1" height="100%" subdiv_color="$RULER_SUBDIV_COLOR$" origin_color="$RULER_COLOR$" color="$RULER_COLOR$" y_positions_count="11" y_param_info_id="$$param_id$1$.info" width="3"/>
                <FOR_EACH_CHANNEL>
                    <LAYER_STACK height="100%" id="$param_id$_meter.channel$channel_index$">
                        <CUS_VMETER param_id="$$param_id$$channel_index$$" height="100%" id="$param_id$_meter.channel$channel_index$.peak" offset="1"/>
                        <CUS_VMETER_HOLD param_id="$$hold_param_id$$channel_index$$" height="100%" id="$param_id$_meter.channel$channel_index$.hold" offset="1"/>
                    </LAYER_STACK>
                    <PARAM_LINK from="dsp.connected_$direction$s_count" to="$param_id$_meter.channel$channel_index$.display" formula="$channel_index$&lt;=x"/>
                </FOR_EACH_CHANNEL>
                <GRID y_subdiv_count="1" height="100%" subdiv_color="$RULER_SUBDIV_COLOR$" origin_color="$RULER_COLOR$" color="$RULER_COLOR$" y_positions_count="11" y_param_info_id="$$param_id$1$.info" width="3"/>
            </ROW>
            <REPEAT count="$ruler_after$==1">
                <RULER id="$param_id$_meter.ruler" param_info_id="$$param_id$1$.info" positions_count="11" height="100%" text_v_align="center" v_margin="6" width="15" orientation="vertical" content="{value}" value_format=".0" text_color="$RULER_COLOR$" font_size="11"/>
            </REPEAT>
        </ROW>
    </TEMPLATE>
    
    <!-- Freeze -->
    <PARAM id="freeze" type="boolean" default="0"/>
    <FOR_EACH_CHANNEL>
        <PARAM_MULTI_LINK from="freeze" to="$dynamics_curve_ch$channel_index$$.paused;$comp_value$channel_index$$.paused;$dynamics_histogram_ch$channel_index$$.paused"/>
    </FOR_EACH_CHANNEL>
    <PARAM_MULTI_LINK from="freeze" to="input_peakL.paused;comp_curveL.paused;exp_curveL.paused"/>
    <PARAM_MULTI_LINK from="freeze" to="input_peakR.paused;comp_curveR.paused;exp_curveR.paused"/>
    
    <!-- Zooming -->
    <TPL_PARAM_ANIMATOR id="zoom" persistent="true" param_id="do_zoom"/>
    <PARAM id="do_zoom" min="0" max="1" default="0"/>
    <PARAM_LINK from="do_zoom" to="actual_zoom" normalized="true"/>
    <PARAM id="actual_zoom" min="1" max="2" default="1"/>
    <FOR_EACH_CHANNEL>
        <PARAM_MULTI_LINK from="actual_zoom" to="exp_meter$channel_index$.zoom;comp_meter$channel_index$.zoom"/>
        <PARAM_MULTI_LINK from="actual_zoom" to="comp_grid_ch$channel_index$.y_zoom;comp_graph_ch$channel_index$.x_zoom;comp_curve_ch$channel_index$.x_zoom;exp_graph_ch$channel_index$.x_zoom;exp_curve_ch$channel_index$.x_zoom;grid$channel_index$.y_zoom"/>
    </FOR_EACH_CHANNEL>
    <PARAM_MULTI_LINK from="actual_zoom" to="exp_scale.zoom;comp_scale.zoom"/>
    <PARAM_MULTI_LINK from="actual_zoom" to="graph_compL.y_zoom;graph_expL.y_zoom"/>
    <PARAM_MULTI_LINK from="actual_zoom" to="graph_compR.y_zoom;graph_expR.y_zoom"/>
    
    <PARAM_LINK from="do_zoom" to="actual_env_zoom" normalized="true"/>
    <PARAM id="actual_env_zoom" min="1" max="2" default="1"/>
    <PARAM_MULTI_LINK from="actual_env_zoom" to="graph_inputL.y_zoom;graph_inputR.y_zoom"/>
    
    <!-- Animations -->
    <TPL_SHOW_HIDE_ANIMATOR id="display_out_levels" object_id="out_levels" animated_param="v_offset" show_value="0" hide_value="500" default="1" duration_ms="300"/>
    <TPL_SHOW_HIDE_ANIMATOR id="display_in_levels" object_id="in_levels" animated_param="v_offset" show_value="0" hide_value="500" default="1" duration_ms="300"/>
    <PARAM_MULTI_LINK from="$show_levels$" to="display_in_levels;display_out_levels"/>
    <TPL_SHOW_HIDE_ANIMATOR id="display_reponse_graph" object_id="response_graph" animated_param="v_offset" show_value="0" hide_value="-300" default="1" duration_ms="300" persistent="true"/>
    <TPL_SHOW_HIDE_ANIMATOR id="display_time_graph" object_id="time_graph" animated_param="v_offset" show_value="0" hide_value="300" default="1" duration_ms="300" persistent="true"/>
    
    <!-- histograms animations -->
    <FOR_EACH_CHANNEL>
        <TPL_SHOW_HIDE_ANIMATOR id="display_histograph_ch$channel_index$" object_id="histograph_ch$channel_index$" animated_param="width" show_value="40" hide_value="0" default="0" duration_ms="300"/>
        <PARAM_LINK from="$enable_histogram$" to="display_histograph_ch$channel_index$"/>
    </FOR_EACH_CHANNEL>
    <TPL_SHOW_HIDE_ANIMATOR id="display_histogram_setting" object_id="histogram_settings" animated_param="height" show_value="38" hide_value="0" default="0" duration_ms="300"/>
    <PARAM_LINK from="$enable_histogram$" to="display_histogram_setting"/>
    
    <FORMULA_PARAM id="any_graph_displayed" formula="max(response_graph.display,time_graph.display)"/>
    <PARAM_LINK from="time_graph.display" to="center_cell.layout_type" formula="1-x"/>
    
    <!-- Time Graph -->
    <FORMULA_PARAM id="curve_settings_vertical" formula="time_graph.display||!response_graph.display"/>
    <PARAM_LINK from="curve_settings_vertical" to="curve_settings_cell.layout_type"/>
    
    <!-- UI Layout starts here-->
    <THEME_DECORATIONS minimum_width="$minimum_width$" spacing="$spacing$" h_margin="10" preset_box_width="150">
        <THEME_TITLE_BAR text="">
            <CELL width="8"/>
            <!-- Display Options -->
            <THEME_SHOW_METERS_BUTTON param_id="$show_levels$">
                <TOOLTIP text="Show Level Meters"/>
            </THEME_SHOW_METERS_BUTTON>
            <IMAGE_PARAM_BUTTON image="$THEME_NAME$-Ext/dyn_graph_button.png" image_focus="$THEME_NAME$-Ext/dyn_graph_button_hover.png" param_id="display_reponse_graph" cursor="system::hand">
                <TOOLTIP text="Show Dynamics Response"/>
            </IMAGE_PARAM_BUTTON>
            <IMAGE_PARAM_BUTTON image="$THEME_NAME$-Ext/history.png" image_focus="$THEME_NAME$-Ext/history_hover.png" param_id="display_time_graph" cursor="system::hand">
                <TOOLTIP text="Show Envelopes"/>
            </IMAGE_PARAM_BUTTON>
            <THEME_SHOW_GRAPH_BUTTON param_id="$enable_histogram$">
                <TOOLTIP text="Show Histograms"/>
            </THEME_SHOW_GRAPH_BUTTON>
            <CELL width="8"/>
            <THEME_MAGNIFY_BUTTON param_id="zoom">
                <TOOLTIP text="Zoom"/>
            </THEME_MAGNIFY_BUTTON>
            <CUS_FREEZE_BUTTON param_id="freeze">
                <TOOLTIP text="Freeze"/>
            </CUS_FREEZE_BUTTON>
            
        </THEME_TITLE_BAR>
        <CELL layout_type="row" v_margin="4" spacing="2">
            <ROW spacing="4" h_margin="2" min_height="495">
                <!-- In METERS -->
                <THEME_BOX layout_type="column" spacing="2" h_margin="5" id="in_levels" height="100%" font_weight="bold">
                    <TPL_CHANNEL_METER param_id="input_peak" hold_param_id="input_peakhold"/>
                </THEME_BOX>
                <!-- Input boxes -->
                <COLUMN spacing="4" v_align="top" height="100%">
                    <CUS_BOX2 width="100%" flex="1">
                        <CUS_CATEGORY_TEXT value="INPUT" font_size="15" font_weight="bold" />
                        <THEME_BOX_H_SEPARATOR/>
                        <CUS_BOX_COLUMN>
                            <!-- Gain -->
                            <COLUMN v_align="top" spacing="4">
                                <PARAM_TEXT param_id="$pre_gain$" content="{name}" font_weight="bold" />
                                <COLUMN spacing="-11">
                                    <THEME_KNOB_SYM param_id="$pre_gain$" positions_count="41"/>
                                    <THEME_DSP_PARAM_ROUND_SETTINGS_BUTTON param_id="$pre_gain$"/>
                                    <CELL height="7"/>
                                </COLUMN>
                                <CUS_TEXT_VALUE param_id="$pre_gain$" text_color="#85A94E" font_weight="bold" font_size="-1" />
                            </COLUMN>
                        </CUS_BOX_COLUMN>
                        <CELL flex="1"/>
                        <!-- Preamp Filter -->
                        <THEME_BOX_H_SEPARATOR/>
                        <CUS_CATEGORY_TEXT value="PREAMP FILTER"  font_size="15" font_weight="bold" />
                        <THEME_BOX_H_SEPARATOR/>
                        <CUS_BOX_COLUMN spacing="-35" width="100%">
                            <COLUMN h_align="left" spacing="4" width="100%">
                                <PARAM_TEXT param_id="$low_cut$" content="Lo Cut: {text_value}{unit}" width="100%" text_h_align="left" text_color="#85A94E" font_weight="bold" font_size="-1"/>
                                <COLUMN spacing="-7" h_align="left">
                                    <CUS_KNOB param_id="$low_cut$" positions_count="127"/>
                                    <THEME_DSP_PARAM_SMALL_ROUND_SETTINGS_BUTTON param_id="$low_cut$"/>
                                </COLUMN>
                            </COLUMN>
                            <COLUMN h_align="right" spacing="4" width="100%">
                                <COLUMN spacing="-7" h_align="right">
                                    <CUS_REVERSE_KNOB param_id="$high_cut$" positions_count="127"/>
                                    <THEME_DSP_PARAM_SMALL_ROUND_SETTINGS_BUTTON param_id="$high_cut$"/>
                                    <CELL height="2"/>
                                </COLUMN>
                                <PARAM_TEXT param_id="$high_cut$" content="Hi Cut: {text_value}{unit}" width="100%" text_h_align="right" text_color="#85A94E" font_weight="bold" font_size="-1"/>
                            </COLUMN>
                        </CUS_BOX_COLUMN>
                        <CELL flex="1"/>
                    </CUS_BOX2>
                    <!-- Side Chain -->
                    <CUS_BOX2 width="100%" flex="1">
                        <ROW spacing="4">
                            <CUS_CATEGORY_TEXT value="SIDE CHAIN" font_size="15" font_weight="bold" />
                            <CUS_LISTEN_BUTTON param_id="$sc_listen$" v_offset="-1">
                                <TOOLTIP text="Listen to Side Chain"/>
                            </CUS_LISTEN_BUTTON>
                        </ROW>
                        <THEME_BOX_H_SEPARATOR/>
                        <CUS_BOX_COLUMN>
                            <THEME_STATUS_BUTTON_80 param_id="$side_chain_select$">
                                <TEXT value="External" h_offset="4" text_color="#85A94E" font_weight="bold" font_size="-1" v_offset="-1" />
                            </THEME_STATUS_BUTTON_80>
                        </CUS_BOX_COLUMN>
                        <CUS_BOX_COLUMN spacing="-35" width="100%">
                            <COLUMN h_align="left" spacing="4" width="100%">
                                <PARAM_TEXT param_id="$sc_low_cut$" content="Lo Cut: {text_value}{unit}" width="100%" text_h_align="left" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                <COLUMN spacing="-7" h_align="left">
                                    <CUS_KNOB param_id="$sc_low_cut$" positions_count="127"/>
                                    <THEME_DSP_PARAM_SMALL_ROUND_SETTINGS_BUTTON param_id="$sc_low_cut$"/>
                                </COLUMN>
                            </COLUMN>
                            <COLUMN h_align="right" spacing="4" width="100%">
                                <COLUMN spacing="-7" h_align="right">
                                    <CUS_REVERSE_KNOB param_id="$sc_high_cut$" positions_count="127"/>
                                    <THEME_DSP_PARAM_SMALL_ROUND_SETTINGS_BUTTON param_id="$sc_high_cut$"/>
                                    <CELL height="2"/>
                                </COLUMN>
                                <PARAM_TEXT param_id="$sc_high_cut$" content="Hi Cut: {text_value}{unit}" width="100%" text_h_align="right" text_color="#85A94E" font_weight="bold" font_size="-1" />
                            </COLUMN>
                        </CUS_BOX_COLUMN>
                        <CELL flex="1"/>
                    </CUS_BOX2>
                    <!-- Other -->
                    <CUS_BOX2 flex="1">
                        <CUS_CATEGORY_TEXT value="ADVANCED" font_size="15" font_weight="bold" />
                        <THEME_BOX_H_SEPARATOR/>
                        <!-- Oversample -->
                        <CUS_BOX_COLUMN>
                            <COLUMN v_align="top" spacing="5">
                                <TEXT value="Oversampling" font_weight="bold" />
                                <LAYER_STACK>
                                    <THEME_DROPDOWN_PARAM_BUTTON_80 param_id="$oversample$">
                                        <PARAM_TEXT param_id="$oversample$" width="100%" height="100%" text_color="#85A94E" font_weight="bold" font_size="-1" v_offset="-1" />
                                    </THEME_DROPDOWN_PARAM_BUTTON_80>
                                    <THEME_DSP_PARAM_SMALL_RECT_SETTINGS_BUTTON param_id="$oversample$" v_align="bottom" v_offset="9"/>
                                </LAYER_STACK>
                            </COLUMN>
                            <CELL/>
                        </CUS_BOX_COLUMN>
                        <IF_STEREO>
                            <THEME_BOX_H_SEPARATOR/>
                            <CUS_BOX_COLUMN>
                                <ROW spacing="8">
                                    <CUS_LED_BUTTON param_id="$enable_ch1$">
                                        <TEXT string_id="channel1_name" width="8"/>
                                        <PARAM_TOOLTIP param_id="$enable_ch1$" content="Channel 1 {text_value}"/>
                                    </CUS_LED_BUTTON>
                                    <TEXT value="Stereo" font_weight="bold" />
                                    <CUS_LED_BUTTON param_id="$enable_ch2$">
                                        <TEXT string_id="channel2_name" width="8"/>
                                        <PARAM_TOOLTIP param_id="$enable_ch2$" content="Channel 2 {text_value}"/>
                                    </CUS_LED_BUTTON>
                                </ROW>
                                <LAYER_STACK>
                                    <THEME_DROPDOWN_PARAM_BUTTON_80 param_id="$stereo_mode$">
                                        <PARAM_TEXT param_id="$stereo_mode$" width="100%" height="100%" text_color="#85A94E" font_weight="bold" font_size="-1" v_offset="-1" />
                                    </THEME_DROPDOWN_PARAM_BUTTON_80>
                                    <THEME_DSP_PARAM_SMALL_RECT_SETTINGS_BUTTON param_id="$stereo_mode$" v_align="bottom" v_offset="9"/>
                                </LAYER_STACK>
                                <CELL/>
                            </CUS_BOX_COLUMN>
                        </IF_STEREO>
                        <CELL flex="1"/>
                    </CUS_BOX2>
                </COLUMN>
                
                <COLUMN spacing="$spacing$" v_align="top">
                    <ROW id="center_cell" spacing="$spacing$">
                        <ROW id="left_center_cell" spacing="$spacing$">
                            <COLUMN v_align="top" spacing="$spacing$" id="envelope_cell">
                                <PARAM_LINK from="single_curve_settings_box.height" to="envelope_cell.height" formula="2*x+$spacing$"/>
                                <!-- Detection -->
                                <CUS_BOX2>
                                    <CUS_CATEGORY_TEXT value="PEAK ENVELOPE" font_size="15" font_weight="bold" />
                                    <THEME_BOX_H_SEPARATOR/>
                                    <CUS_BOX_ROW spacing="-1">
                                        <COLUMN v_align="top" spacing="4">
                                            <PARAM_TEXT param_id="$attack$" content="{name}" font_weight="bold" />
                                            <CUS_TEXT_VALUE param_id="$attack$" value_format=".1" width="50" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                            <COLUMN spacing="-11">
                                                <THEME_KNOB_CHANNEL2 param_id="$attack$" positions_count="127"/>
                                                <THEME_DSP_PARAM_ROUND_SETTINGS_BUTTON param_id="$attack$"/>
                                                <CELL height="7"/>
                                            </COLUMN>
                                        </COLUMN>
                                        <COLUMN v_align="bottom" spacing="2" >
                                            <PARAM_TEXT param_id="$hold$" content="{name}" font_weight="bold" />
                                            <COLUMN spacing="-5">
                                                <CUS_KNOB param_id="$hold$" positions_count="127"/>
                                                <THEME_DSP_PARAM_SMALL_ROUND_SETTINGS_BUTTON param_id="$hold$"/>
                                                <CELL height="2"/>
                                            </COLUMN>
                                            <CUS_TEXT_VALUE param_id="$hold$" value_format=".1" width="50" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                        </COLUMN>
                                        <COLUMN v_align="top" spacing="4">
                                            <PARAM_TEXT param_id="$release$" content="{name}" font_weight="bold" />
                                            <CUS_TEXT_VALUE param_id="$release$" value_format=".1" width="50" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                            <COLUMN spacing="-11">
                                                <THEME_KNOB param_id="$release$" positions_count="127"/>
                                                <THEME_DSP_PARAM_ROUND_SETTINGS_BUTTON param_id="$release$"/>
                                                <CELL height="7"/>
                                            </COLUMN>
                                        </COLUMN>
                                    </CUS_BOX_ROW>
                                    <THEME_BOX_H_SEPARATOR width="50%"/>
                                    <ROW width="100%" h_margin="4">
                                        <ROW>
                                            <LAYER_STACK>
                                                <THEME_MINI_KNOB_CHANNEL2_SYM param_id="$attack_shape$" positions_count="201"/>
                                                <THEME_DSP_PARAM_MINI_SETTINGS_BUTTON param_id="$attack_shape$" v_align="bottom" v_offset="6"/>
                                            </LAYER_STACK>
                                            <PARAM_TEXT content="{text_value}{unit}" param_id="$attack_shape$" width="40" text_h_align="left" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                        </ROW>
                                        <COLUMN flex="1">
                                            <TEXT value="SHAPE" font_weight="bold" />
                                        </COLUMN>
                                        <ROW>
                                            <PARAM_TEXT content="{text_value}{unit}" param_id="$release_shape$" width="40" text_h_align="right" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                            <LAYER_STACK>
                                                <THEME_MINI_KNOB_SYM param_id="$release_shape$" positions_count="201"/>
                                                <THEME_DSP_PARAM_MINI_SETTINGS_BUTTON param_id="$release_shape$" v_align="bottom" v_offset="6"/>
                                            </LAYER_STACK>
                                        </ROW>
                                    </ROW>
                                    <CELL height="1"/>
                                </CUS_BOX2>
                                <!-- Envelope Mode -->
                                <ROW spacing="$spacing$" width="100%" flex="1">
                                    <!-- RMS -->
                                    <CUS_BOX2 flex="1" height="100%">
                                        <CUS_CATEGORY_TEXT value="RMS" font_size="15" font_weight="bold" />
                                        <THEME_BOX_H_SEPARATOR/>
                                        <CUS_BOX_ROW spacing="10">
                                            <COLUMN v_align="top" spacing="4">
                                                <PARAM_TEXT param_id="$rms_avg$" content="Time" font_weight="bold" />
                                                <COLUMN spacing="-7">
                                                    <CUS_KNOB param_id="$rms_avg$" positions_count="127"/>
                                                    <THEME_DSP_PARAM_SMALL_ROUND_SETTINGS_BUTTON param_id="$rms_avg$"/>
                                                    <CELL height="2"/>
                                                </COLUMN>
                                                <CUS_TEXT_VALUE content="{value} {unit}" param_id="$rms_avg$" significant_digits="3" drop_trailing_zeros="true" value_format=".1" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                            </COLUMN>
                                        </CUS_BOX_ROW>
                                        <CELL flex="1"/>
                                    </CUS_BOX2>
                                    <CUS_BOX2 height="100%">
                                        <CUS_CATEGORY_TEXT value="MODE"  font_size="15" font_weight="bold" />
                                        <THEME_BOX_H_SEPARATOR/>
                                        <CUS_BOX_ROW spacing="10">
                                            <COLUMN v_align="top" spacing="4">
                                                <PARAM_TEXT param_id="$vca_opto$" content="{name}" font_weight="bold" />
                                                    <COLUMN spacing="-7">
                                                        <CUS_KNOB param_id="$vca_opto$" positions_count="101"/>
                                                        <THEME_DSP_PARAM_SMALL_ROUND_SETTINGS_BUTTON param_id="$vca_opto$"/>
                                                        <CELL height="2"/>
                                                    </COLUMN>
                                                <CUS_TEXT_VALUE param_id="$vca_opto$" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                            </COLUMN>
                                            <COLUMN v_align="top" spacing="4">
                                                <PARAM_TEXT param_id="$peak_rms$" content="{name}" font_weight="bold" />
                                                <COLUMN spacing="-7">
                                                    <CUS_KNOB param_id="$peak_rms$" positions_count="101"/>
                                                        <THEME_DSP_PARAM_SMALL_ROUND_SETTINGS_BUTTON param_id="$peak_rms$"/>
                                                        <CELL height="2"/>
                                                    </COLUMN>
                                                <CUS_TEXT_VALUE param_id="$peak_rms$" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                            </COLUMN>
                                        </CUS_BOX_ROW>
                                        <IF_STEREO>
                                        <ROW spacing="4">
                                            <TEXT value="Link:" font_weight="bold"/>
                                            <LAYER_STACK>
                                            <THEME_DROPDOWN_PARAM_BUTTON_80 param_id="stereo_link">
                                                <PARAM_TEXT param_id="stereo_link" width="100%" height="100%" text_color="#85A94E" font_weight="bold" font_size="-1" v_offset="-1" />
                                            </THEME_DROPDOWN_PARAM_BUTTON_80>
                                            <THEME_DSP_PARAM_SMALL_RECT_SETTINGS_BUTTON param_id="$stereo_link$" v_align="bottom" v_offset="10"/>
                                            </LAYER_STACK>
                                        </ROW>
                                        </IF_STEREO>
                                        <CELL flex="1"/>
                                    </CUS_BOX2>
                                </ROW>
                            </COLUMN>
                            <!-- Graph ***************************************************************** -->
                            <INCLUDE_ONCE file="$THEME_NAME$-Ext/strings.inc"/>
                            <THEME_GRAPH_BOX id="response_graph" height="100%">
                                <!-- The graph and meters layout-->
                                <TABLE h_margin="3"  v_spacing="2">
                                    <TABLE_ROW>
                                        <CELL />
                                        <!-- Graph title -->
                                        <CUS_CATEGORY_TEXT value="DYNAMICS RESPONSE (dB)"  font_size="15" font_weight="bold" />
                                    </TABLE_ROW>
                                    <TABLE_ROW>
                                        <!-- Y scale -->
                                        <CURVE_YSCALE text_h_align="right" text_v_align="center" h_align="right" v_margin="8"
                                            height="243" width="20" curve_id="$dynamics_curve$" value_format="+.0" content="{value}"
                                            y_positions_count="9" id="y_scale" y_offset="1" color="$RULER_COLOR$" font_weight="bold" font_size="-1">
                                            <INVISIBLE_PARAM_MENU_BUTTON param_id="graph_range" cursor="system::hand" width="100%" height="100%"/>
                                        </CURVE_YSCALE>
                                        <!-- Graphs -->
                                        <LAYER_STACK height="243" width="255" v_margin="8" h_margin="14">
                                            <!-- Grid -->
                                            <CUS_GRID x_subdiv_count="1" y_subdiv_count="1" x_param_info_id="$dynamics_curve$.x_info" y_param_info_id="$dynamics_curve$.y_info" x_positions_count="9"
                                            y_positions_count="9" id="grid"/>
                                            <!-- current value graphs -->
                                            <FOR_EACH_CHANNEL>
                                                <CURVE_GRAPH id="graph$channel_index$" width="100%" height="100%" color="$graph_fill_color$" curve_id="$dynamics_curve_ch$channel_index$$"
                                            visible="true" graph_style="bargraph" opacity="20%" />
                                            </FOR_EACH_CHANNEL>
                                            <!-- current value curves -->
                                            <FOR_EACH_CHANNEL>
                                                <CURVE_GRAPH id="graph$channel_index$.1" width="100%" height="100%" color="$graph_fill_color$" curve_id="$dynamics_curve_ch$channel_index$$"
                                            visible="true"/>
                                            </FOR_EACH_CHANNEL>
                                            <!-- response curve -->
                                            <CURVE_GRAPH id="graph0" width="100%" height="100%" color="#1f7fc2" curve_id="$dynamics_curve$" visible="true" />
                                            
                                            <!-- zoom scratch pad -->
                                            <XYZ_PARAM_SCRATCH_PAD height="100%" width="100%" x_param_id="graph_x_offset" y_param_id="graph_y_offset"  x_reverse="true" y_reverse="true" id="scratchpad" cursor="system::open_hand" z_param_id="graph_range" z_positions_count="3"/>
                                        </LAYER_STACK>
                                        <CELL />
                                    </TABLE_ROW>
                                    <TABLE_ROW>
                                        <CELL />
                                        <!-- X scales -->
                                        <LAYER_STACK>
                                            <CURVE_XSCALE  id="x_scale0" text_h_align="center" h_align="right" h_margin="14" height="20" width="255" value_suffix="true"
                                                curve_id="$dynamics_curve$" value_format="+.0" content="{value}" x_positions_count="9" x_offset="1" color="$RULER_COLOR$" font_weight="bold" font_size="-1">
                                                <INVISIBLE_PARAM_MENU_BUTTON param_id="graph_range" cursor="system::hand" width="100%" height="100%"/>
                                            </CURVE_XSCALE>
                                        </LAYER_STACK>
                                    </TABLE_ROW>
                                </TABLE>
                            </THEME_GRAPH_BOX>
                        </ROW>
                        <COLUMN spacing="$spacing$" v_align="top" id="curve_settings_cell" >
                            <!-- Response Curve Params-->
                            <CUS_BOX2 id="single_curve_settings_box">
                                <CUS_CATEGORY_TEXT value="UPPER CURVE" font_size="15" font_weight="bold" />
                                <THEME_BOX_H_SEPARATOR/>
                                <CUS_BOX_ROW  spacing="-1">
                                    <COLUMN v_align="top" spacing="4">
                                        <TEXT value="Threshold" font_weight="bold" />
                                        <CUS_TEXT_VALUE param_id="$up_thres$" width="50" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                        <COLUMN spacing="-11">
                                            <THEME_KNOB param_id="$up_thres$" positions_count="61"/>
                                            <THEME_DSP_PARAM_ROUND_SETTINGS_BUTTON param_id="$up_thres$"/>
                                            <CELL height="7"/>
                                        </COLUMN>
                                    </COLUMN>
                                    <COLUMN v_align="top" spacing="2">
                                        <TEXT value="Knee" font_weight="bold" />
                                        <CUS_TEXT_VALUE param_id="$up_knee$" width="50" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                        <COLUMN spacing="-7">
                                            <CUS_KNOB param_id="$up_knee$" positions_count="31"/>
                                            <THEME_DSP_PARAM_SMALL_ROUND_SETTINGS_BUTTON param_id="$up_knee$"/>
                                            <CELL height="2"/>
                                        </COLUMN>
                                        <THEME_MINI_KNOB param_id="$up_range$" positions_count="61"/>
                                    </COLUMN>
                                    <COLUMN v_align="top" spacing="4">
                                        <TEXT value="Ratio" font_weight="bold" />
                                        <CUS_TEXT_VALUE param_id="$up_ratio$" content="{text_value}" width="50" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                        <COLUMN spacing="-11">
                                            <THEME_KNOB_SYM param_id="$up_ratio$" positions_count="201"/>
                                            <THEME_DSP_PARAM_ROUND_SETTINGS_BUTTON param_id="$up_ratio$"/>
                                            <CELL height="7"/>
                                        </COLUMN>
                                    </COLUMN>
                                </CUS_BOX_ROW>
                                <LAYER_STACK width="100%">
                                    <PARAM_TEXT content="Depth: {text_value} {unit}" param_id="$up_range$" width="100%" h_margin="5" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                    <THEME_DSP_PARAM_SMALL_RECT_SETTINGS_BUTTON param_id="$up_range$" h_align="right" v_align="bottom" v_offset="4"/>
                                </LAYER_STACK>
                            </CUS_BOX2>
                            <CUS_BOX2>
                                <CUS_CATEGORY_TEXT value="LOWER CURVE" font_size="15" font_weight="bold" />
                                <THEME_BOX_H_SEPARATOR/>
                                <CUS_BOX_ROW  spacing="-1">
                                    <COLUMN v_align="top" spacing="4">
                                        <TEXT value="Threshold" font_weight="bold" />
                                        <CUS_TEXT_VALUE param_id="$down_thres$" width="50" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                        <COLUMN spacing="-11">
                                            <THEME_KNOB param_id="$down_thres$" positions_count="61"/>
                                            <THEME_DSP_PARAM_ROUND_SETTINGS_BUTTON param_id="$down_thres$"/>
                                            <CELL height="7"/>
                                        </COLUMN>
                                    </COLUMN>
                                    <COLUMN v_align="top" spacing="2">
                                        <TEXT value="Knee" font_weight="bold" />
                                        <CUS_TEXT_VALUE param_id="$down_knee$" width="50" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                        <COLUMN spacing="-7">
                                            <CUS_KNOB param_id="$down_knee$" positions_count="31"/>
                                            <THEME_DSP_PARAM_SMALL_ROUND_SETTINGS_BUTTON param_id="$down_knee$"/>
                                            <CELL height="2"/>
                                        </COLUMN>
                                        <THEME_MINI_KNOB param_id="$down_range$" positions_count="61"/>
                                    </COLUMN>
                                    <COLUMN v_align="top" spacing="4">
                                        <TEXT value="Ratio" font_weight="bold" />
                                        <CUS_TEXT_VALUE param_id="$down_ratio$" content="{text_value}" width="50" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                        <COLUMN spacing="-11">
                                            <THEME_KNOB_SYM param_id="$down_ratio$" positions_count="201"/>
                                            <THEME_DSP_PARAM_ROUND_SETTINGS_BUTTON param_id="$down_ratio$"/>
                                            <CELL height="7"/>
                                        </COLUMN>
                                    </COLUMN>
                                </CUS_BOX_ROW>
                                <LAYER_STACK width="100%">
                                    <PARAM_TEXT content="Depth: {text_value} {unit}" param_id="$down_range$" width="100%" h_margin="5" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                    <THEME_DSP_PARAM_SMALL_RECT_SETTINGS_BUTTON param_id="$down_range$" h_align="right" v_align="bottom" v_offset="4"/>
                                </LAYER_STACK>
                                </CUS_BOX2>
                        </COLUMN>
                    </ROW>
                    <THEME_GRAPH_BOX height="200" width="100%" id="time_graph" h_margin="4" layout_type="layer_stack">
                        <LAYER_STACK h_align="left" v_align="top">
                            <ROW spacing="2">
                                <IMAGE_PARAM_METER param_id="env_option_menu_button.pushed" image="$THEME_NAME$-Ext/arrow_button.png" images_count="2" v_offset="1" h_offset="2"/>
                            </ROW>
                            <INVISIBLE_PARAM_MENU_BUTTON param_id="env_zoom_range" id="env_option_menu_button" cursor="system::hand" width="100%" height="100%"/>
                            <PARAM id="env_zoom_range" type="enumeration" enum_values="Zoomed Envelope Range: 60 dB;Zoomed Envelope Range: 30 dB;Zoomed Envelope Range: 15 dB" default="0" persistent="true"/>
                            <PARAM_LINK from="env_zoom_range" to="actual_env_zoom_max" formula="2*x"/>
                            <TPL_PARAM_ANIMATOR id="actual_env_zoom_max" persistent="false" param_id="actual_env_zoom.max"/>
                        </LAYER_STACK>
                        <PARAM id="time_graph_height" min="200" max="400" default="200" persistent="true"/>
                        <PARAM_LINK from="time_graph_height" to="time_graph.height"/>
                        <IMAGE_PARAM_BUTTON param_id="time_graph_height" image="$THEME_NAME$-Ext/window_icon.png" image_mask="" images_count="2" h_align="right" v_align="top" cursor="system::hand" h_offset="-8" />
                        <!-- The history / time graph-->
                        <TABLE height="100%" width="100%" text_color="$RULER_COLOR$">
                            <TABLE_ROW flex="1">
                                <!-- Graphs -->
                                <LAYER_STACK flex="1" height="100%" h_margin="14">
                                    <!-- Grid -->
                                    <CUS_GRID x_subdiv_count="1" y_subdiv_count="1"  x_param_info_id="comp_curveL.x_info"  y_param_info_id="comp_curveL.y_info" x_positions_count="9" y_positions_count="4" id="grid1" y_enable_positions_zoom="true" x_offset="1"/>
                                    
                                    <!-- input envelope graphs -->
                                    <CURVE_GRAPH id="graph_inputL" width="100%" height="100%" color="$graph_fill_color$" curve_id="input_peakL"
                                    graph_style="bargraph" opacity="50%" y_offset="1" x_offset="1"/>
                                    <!-- output Envelope graph-->
                                    <CURVE_GRAPH id="graph_compL" width="100%" height="100%" color="$comp_color$" curve_id="comp_curveL"
                                    cursor="system::hand" y_offset="1" x_offset="1"/>
                                    <CURVE_GRAPH id="graph_expL" width="100%" height="100%" color="$exp_color$" curve_id="exp_curveL"
                                    cursor="system::hand" x_offset="1"/>
                                    <CUS_GRID width="100%" height="100%" y_param_info_id="expansion_ch1.info" x_positions_count="0" y_positions_count="2" />
                                     <XYZ_PARAM_SCRATCH_PAD height="100%" width="100%" x_param_id="time_graph_x_offset" x_reverse="true" id="time_scratchpad1" cursor="system::open_hand" z_param_id="time_range" z_positions_count="3"/>
                                </LAYER_STACK>
                                <IF_STEREO>
                                    <CUS_LED_BUTTON param_id="$enable_ch1$" h_offset="-7">
                                        <TEXT string_id="channel1_name" width="8"/>
                                        <PARAM_TOOLTIP param_id="$enable_ch1$" content="Channel 1 {text_value}"/>
                                    </CUS_LED_BUTTON>
                                </IF_STEREO>
                                <IF_MONO>
                                    <CELL width="3"/>
                                </IF_MONO>
                            </TABLE_ROW>
                            <TABLE_ROW flex="1">
                                <!-- Graphs -->
                                <LAYER_STACK flex="1" height="100%" h_margin="14">
                                    <!-- Grid -->
                                    <CUS_GRID x_subdiv_count="1" y_subdiv_count="1" x_param_info_id="comp_curveR.x_info"  y_param_info_id="comp_curveR.y_info" x_positions_count="9" y_reverse="true"  y_positions_count="4" id="grid2"  y_enable_positions_zoom="true"  x_offset="1"/>
                                    
                                    <!-- input envelope graphs -->
                                    <CURVE_GRAPH id="graph_inputR" width="100%" height="100%" color="$graph_fill_color$" curve_id="input_peakR"
                                        graph_style="bargraph" opacity="30%" cursor="system::hand" y_reverse="true" x_offset="1">
                                    </CURVE_GRAPH>
                                    <!-- comp/exp graph-->
                                    <CURVE_GRAPH id="graph_compR" width="100%" height="100%" color="$comp_color$" curve_id="comp_curveR"
                                    cursor="system::hand" y_reverse="true" x_offset="1"/>
                                    <CURVE_GRAPH id="graph_expR" width="100%" height="100%" color="$exp_color$" curve_id="exp_curveR"
                                    cursor="system::hand" y_reverse="true"  y_offset="1" x_offset="1"/>
                                    <XYZ_PARAM_SCRATCH_PAD height="100%" width="100%" x_param_id="time_graph_x_offset" x_reverse="true" id="time_scratchpad2" cursor="system::open_hand" z_param_id="time_range" z_positions_count="3"/>
                                    <CUS_GRID y_param_info_id="expansion_ch1.info" x_positions_count="0" y_positions_count="2" y_reverse="true"/>
                                </LAYER_STACK>
                                <IF_STEREO>
                                    <CUS_LED_BUTTON param_id="$enable_ch2$" h_offset="-7">
                                        <TEXT string_id="channel2_name" width="8"/>
                                        <PARAM_TOOLTIP param_id="$enable_ch2$" content="Channel 2 {text_value}"/>
                                    </CUS_LED_BUTTON>
                                </IF_STEREO>
                            </TABLE_ROW>
                            <TABLE_ROW>
                                <!-- X scale -->
                                <CURVE_XSCALE  id="time_scale" text_h_align="center" h_align="right" h_margin="14" height="15" flex="1" value_suffix="true"
                                curve_id="input_peakL" value_format=".0" content="{value} {unit}" x_positions_count="9" x_offset="1" color="$RULER_COLOR$" font_size="-1" font_weight="bold">
                                    <INVISIBLE_PARAM_MENU_BUTTON param_id="time_range" cursor="system::hand" width="60" height="100%" h_align="left">
                                        <TOOLTIP text="Click here to select duration"/>
                                    </INVISIBLE_PARAM_MENU_BUTTON>
                                </CURVE_XSCALE>
                            </TABLE_ROW>
                        </TABLE>
                        
                        <!-- Custom curves definition & visibility param-->
                        <PARAM id="expansion_ch1" min="0" max="60" default="0" name="exp" />
                        <PARAM id="compression_ch1" min="-60" max="0" default="0" name="comp" />
                        <PARAM_LINK from="$comp_value1$" to="expansion_ch1" />
                        <PARAM_LINK from="$comp_value1$" to="compression_ch1" />
                        <PARAM id="expansion_ch2" min="0" max="60" default="0" name="exp" />
                        <PARAM id="compression_ch2" min="-60" max="0" default="0" name="comp" />
                        <IF_STEREO>
                            <PARAM_LINK from="$comp_value2$" to="expansion_ch2" />
                            <PARAM_LINK from="$comp_value2$" to="compression_ch2" />
                        </IF_STEREO>
                        <IF_MONO>
                            <PARAM_LINK from="$comp_value1$" to="expansion_ch2" />
                            <PARAM_LINK from="$comp_value1$" to="compression_ch2" />
                        </IF_MONO>
                        <CURVE_FROM_PARAM_OVER_TIME id="input_peakL" param_id="$input_peak1$" duration_ms="8000"/>
                        <CURVE_FROM_PARAM_OVER_TIME id="comp_curveL" param_id="compression_ch1" duration_ms="8000"/>
                        <CURVE_FROM_PARAM_OVER_TIME id="exp_curveL" param_id="expansion_ch1" duration_ms="8000"/>
                        <IF_STEREO>
                            <CURVE_FROM_PARAM_OVER_TIME id="input_peakR" param_id="$input_peak2$" duration_ms="8000"/>
                        </IF_STEREO>
                        <IF_MONO>
                            <CURVE_FROM_PARAM_OVER_TIME id="input_peakR" param_id="$input_peak1$" duration_ms="8000"/>
                        </IF_MONO>
                        <CURVE_FROM_PARAM_OVER_TIME id="comp_curveR" param_id="compression_ch2" duration_ms="8000"/>
                        <CURVE_FROM_PARAM_OVER_TIME id="exp_curveR" param_id="expansion_ch2" duration_ms="8000"/>

                        <!-- zoom stuff -->
                        <PARAM type="enumeration" default="0" enum_values="96 dB;60 dB;48 dB" id="graph_range" persistent="true"/>
                        <PARAM_LINK from="graph_range" to="animated_graph_zoom" formula="1+(x==1)*.6+(x==2)" />
                        <TPL_PARAM_ANIMATOR id="animated_graph_zoom" param_id="graph_zoom"/>
                        <PARAM min="1" max="2" default="1" id="graph_zoom"/>
                        <PARAM min="0" max="1" default="1" id="graph_x_offset" persistent="true"/>
                        <PARAM min="0" max="1" default="1" id="graph_y_offset" persistent="true"/>
                        
                        <PARAM_MULTI_LINK from="graph_zoom" to="x_scale0.x_zoom;y_scale.y_zoom;graph0.x_zoom;graph0.y_zoom"/>
                        <PARAM_MULTI_LINK from="graph_zoom" to="grid.x_zoom;grid.y_zoom"/>

                        <PARAM_MULTI_LINK from="graph_x_offset" to="grid.x_offset;x_scale0.x_offset;graph0.x_offset"/>
                        <PARAM_MULTI_LINK from="graph_y_offset" to="grid.y_offset;y_scale.y_offset;graph0.y_offset"/>
                
                        <FOR_EACH_CHANNEL>
                            <PARAM_MULTI_LINK from="graph_zoom" to="graph$channel_index$.x_zoom;graph$channel_index$.y_zoom;graph$channel_index$.1.x_zoom;graph$channel_index$.1.y_zoom"/>
                            <PARAM_MULTI_LINK from="graph_x_offset" to="graph$channel_index$.x_offset;graph$channel_index$.1.x_offset"/>
                            <PARAM_MULTI_LINK from="graph_y_offset" to="graph$channel_index$.y_offset;graph$channel_index$.1.y_offset"/>
                        </FOR_EACH_CHANNEL>
                        
                        <PARAM type="enumeration" default="0" enum_values="8s;4s;2s" id="time_range" persistent="true"/>
                        <PARAM_LINK from="time_range" to="animated_time_zoom" formula="1+(x==1)+3*(x==2)" />
                        <TPL_PARAM_ANIMATOR id="animated_time_zoom" param_id="time_zoom"/>
                        <PARAM id="time_zoom" min="1" max="4" default="1"/>
                        <PARAM_MULTI_LINK from="time_zoom" to="graph_inputL.x_zoom;grid1.x_zoom;graph_compL.x_zoom;graph_expL.x_zoom;time_scale.x_zoom"/>
                        <PARAM_MULTI_LINK from="time_zoom" to="graph_inputR.x_zoom;grid2.x_zoom;graph_compR.x_zoom;graph_expR.x_zoom"/>
                        <PARAM id="time_graph_x_offset" min="0" max="1" default="1"/>
                        <PARAM_MULTI_LINK from="time_graph_x_offset" to="graph_inputL.x_offset;grid1.x_offset;graph_compL.x_offset;graph_expL.x_offset;time_scale.x_offset"/>
                        <PARAM_MULTI_LINK from="time_graph_x_offset" to="graph_inputR.x_offset;grid2.x_offset;graph_compR.x_offset;graph_expR.x_offset"/>
                        <!-- Pad stuff -->
                        <PARAM_LINK from="grid1.x_extra_pixels" to="time_scratchpad1.x_pixel_range"/>
                        <PARAM_LINK from="grid2.x_extra_pixels" to="time_scratchpad2.x_pixel_range"/>
                        
                        <PARAM_LINK from="grid.x_extra_pixels" to="scratchpad.x_pixel_range"/>
                        <PARAM_LINK from="grid.y_extra_pixels" to="scratchpad.y_pixel_range"/>
                    </THEME_GRAPH_BOX>
                </COLUMN>
                
                <!-- Gain Reduction box -->
                <CUS_BOX2 height="100%" layout_type="column" spacing="2" h_margin="0">
                    <LAYER_STACK h_offset="5">
                        <ROW spacing="2">
                            <CUS_CATEGORY_TEXT value="GR" font_size="15" font_weight="bold" />
                            <IMAGE_PARAM_METER param_id="gr_option_menu_button.pushed" image="$THEME_NAME$-Ext/arrow_button.png" images_count="2" v_offset="1"/>
                        </ROW>
                        <INVISIBLE_PARAM_MENU_BUTTON param_id="gr_zoom_range" id="gr_option_menu_button" cursor="system::hand" width="100%" height="100%"/>
                        <PARAM id="gr_zoom_range" type="enumeration" enum_values="Zoomed GR Range: 30 dB;Zoomed GR Range: 15 dB;Zoomed GR Range: 6 dB" default="0" persistent="true"/>
                        <PARAM_LINK from="gr_zoom_range" to="actual_zoom_max" formula="2*(x+1)+(x==2)*4"/>
                        <TPL_PARAM_ANIMATOR id="actual_zoom_max" persistent="false" param_id="actual_zoom.max"/>
                    </LAYER_STACK>
                    <THEME_BOX_H_SEPARATOR/>
                    <ROW flex="1" spacing="2" h_margin="5">
                        <!-- GR meters -->
                        <LAYER_STACK height="100%">
                            <RULER id="comp_scale" param_info_id="compression_ch1.info" positions_count="21" height="100%" text_v_align="center" v_margin="6" width="15" orientation="vertical" content="{value}" value_format=".0" text_color="$RULER_COLOR$" font_size="11" offset="1" enable_positions_zoom="true" positions_zoom_base_factor="6" max_positions_zoom="3" font_weight="bold" />
                        </LAYER_STACK>
                        <ROW  v_margin="6" height="100%">
                            <CELL height="100%" width="40" id="histograph_ch1_parent">
                                <PARAM_LINK from="histograph_ch1.display" to="histograph_ch1_parent.display"/>
                                <LAYER_STACK height="100%" width="40" id="histograph_ch1">
                                    <IMAGE_GROUP_BOX image="$THEME_NAME$-Ext/history_bg.png" width="100%" height="100%"/>
                                    <CUS_GRID x_positions_count="0" y_positions_count="21" y_param_info_id="compression_ch1.info" y_subdiv_count="2" id="comp_grid_ch1" y_offset="1"/>
                                    <!-- comp history graph (negative values) -->
                                    <FORMULA_CURVE formula="$dynamics_histogram_ch1$(x)" x_min="-60" x_max="0" y_min="0" y_max="1" id="comp_histogram_ch1"/>
                                    <!-- exp history graph (positive values) -->
                                    <FORMULA_CURVE formula="$dynamics_histogram_ch1$(x)" x_min="0" x_max="60" y_min="0" y_max="1" id="exp_histogram_ch1"/>
                                    <CURVE_GRAPH curve_id="comp_histogram_ch1" width="100%" height="100%" color="$comp_color$" v_align="top" orientation="vertical" graph_style="bargraph" sample_rate="1" opacity="50%"  x_reverse="true"  id="comp_graph_ch1"/>
                                    <CURVE_GRAPH curve_id="exp_histogram_ch1" width="100%" height="100%" color="$exp_color$" v_align="top" orientation="vertical" graph_style="bargraph" sample_rate="1" opacity="50%"  x_reverse="true"  id="exp_graph_ch1" x_offset="1" />
                                    <CURVE_GRAPH curve_id="exp_histogram_ch1" width="100%" height="100%" color="$exp_color$" v_align="top" orientation="vertical" sample_rate="1" opacity="100%"  x_reverse="true" id="exp_curve_ch1" x_offset="1"/>
                                    <CURVE_GRAPH curve_id="comp_histogram_ch1" width="100%" height="100%" color="$comp_color$" v_align="top" orientation="vertical" sample_rate="1" opacity="100%"  x_reverse="true" id="comp_curve_ch1"/>
                                    <INVISIBLE_PARAM_BUTTON param_id="$histogram_reset$" cursor="system::hand" width="100%" height="100%"/>
                                </LAYER_STACK>
                            </CELL>
                            <LAYER_STACK height="100%">
                                <PARAM_LINK from="expansion_ch1" to="exp_meter1.visible" />
                                <CUS_VMETER_RED id="comp_meter1" param_id="compression_ch1" offset="1" height="100%"/>
                                <CUS_VMETER_GREEN id="exp_meter1" param_id="expansion_ch1" height="100%"/>
                            </LAYER_STACK>
                            <IF_STEREO>
                                <LAYER_STACK height="100%">
                                    <PARAM_LINK from="expansion_ch2" to="exp_meter2.visible" />
                                    <CUS_VMETER_RED id="comp_meter2" param_id="compression_ch2" height="100%" offset="1"/>
                                    <CUS_VMETER_GREEN id="exp_meter2" param_id="expansion_ch2" height="100%"/>
                                </LAYER_STACK>
                                <CELL height="100%" width="40" id="histograph_ch2_parent">
                                    <PARAM_LINK from="histograph_ch2.display" to="histograph_ch2_parent.display"/>
                                    <LAYER_STACK height="100%" width="40" id="histograph_ch2">
                                        <!-- comp history graph (negative values) -->
                                        <FORMULA_CURVE formula="$dynamics_histogram_ch2$(x)" x_min="-60" x_max="0" y_min="0" y_max="1" id="comp_histogram_ch2"/>
                                        <!-- exp history graph (positive values) -->
                                        <FORMULA_CURVE formula="$dynamics_histogram_ch2$(x)" x_min="0" x_max="60" y_min="0" y_max="1" id="exp_histogram_ch2"/>
                                        <IMAGE_GROUP_BOX image="$THEME_NAME$-Ext/history_bg.png" width="100%" height="100%"/>
                                        <CUS_GRID x_positions_count="0" y_positions_count="21" y_param_info_id="compression_ch2.info" y_subdiv_count="2" id="comp_grid_ch2" y_offset="1"/>
                                        <CURVE_GRAPH curve_id="comp_histogram_ch2" width="100%" height="100%" color="$comp_color$" v_align="top" orientation="vertical" graph_style="bargraph" sample_rate="1" opacity="50%"  x_reverse="true" y_reverse="true" id="comp_graph_ch2" />
                                        <CURVE_GRAPH curve_id="exp_histogram_ch2" width="100%" height="100%" color="$exp_color$" v_align="top" orientation="vertical" graph_style="bargraph" sample_rate="1" opacity="50%"  x_reverse="true" y_reverse="true" id="exp_graph_ch2" x_offset="1"/>
                                        <CURVE_GRAPH curve_id="exp_histogram_ch2" width="100%" height="100%" color="$exp_color$" v_align="top" orientation="vertical" sample_rate="1" opacity="100%"  x_reverse="true" y_reverse="true" id="exp_curve_ch2" x_offset="1"/>
                                        <CURVE_GRAPH curve_id="comp_histogram_ch2" width="100%" height="100%" color="$comp_color$" v_align="top" orientation="vertical" sample_rate="1" opacity="100%"  x_reverse="true" y_reverse="true" id="comp_curve_ch2"/>
                                        <INVISIBLE_PARAM_BUTTON param_id="$histogram_reset$" cursor="system::hand" width="100%" height="100%"/>
                                    </LAYER_STACK>
                                </CELL>
                            </IF_STEREO>
                        </ROW>
                        <RULER id="exp_scale" param_info_id="expansion_ch1.info" positions_count="21" height="100%" text_v_align="center" v_margin="6" width="15" orientation="vertical" content="+{value}" value_format=".0" text_color="$RULER_COLOR$" font_size="11"  enable_positions_zoom="true" positions_zoom_base_factor="6" max_positions_zoom="3" font_weight="bold"/>
                    </ROW>
                    <ROW width="100%" id="out_setting_cell">
                        <PARAM_LINK from="theme.show_settings" to="out_setting_cell.display"/>
                        <CELL flex="1"/>
                        <THEME_DSP_PARAM_MINI_SETTINGS_BUTTON param_id="$comp_value1$" >
                            <PARAM_TOOLTIP param_id="$comp_value1$" content="{name} Param Settings"/>
                        </THEME_DSP_PARAM_MINI_SETTINGS_BUTTON>
                        <CELL flex="1"/>
                        <IF_STEREO>
                            <THEME_DSP_PARAM_MINI_SETTINGS_BUTTON param_id="$comp_value2$" >
                                <PARAM_TOOLTIP param_id="$comp_value2$" content="{name} Param Settings"/>
                            </THEME_DSP_PARAM_MINI_SETTINGS_BUTTON>
                            <CELL flex="1"/>
                        </IF_STEREO>    
                    </ROW>
                    <IMAGE_GROUP_BOX spacing="0" id="histogram_settings" layout_type="column">
                        <LAYER_STACK>
                            <THEME_BOX width="92%" height="80%" h_align="right"/>
                            <ROW>
                                <COLUMN>
                                    <THEME_MINI_KNOB param_id="$histogram_length$"/>
                                    <CELL height="3"/>
                                </COLUMN>
                                <PARAM_TEXT param_id="$histogram_length$" content="History: {text_value} {unit}" width="75"/>
                            </ROW>
                        </LAYER_STACK>
                        <CELL height="-5"/>
                        <THEME_DSP_PARAM_SMALL_RECT_SETTINGS_BUTTON param_id="$histogram_length$"/>
                    </IMAGE_GROUP_BOX>
                    <CELL height="-10" id="histogram_settings_spacer"/>
                    <PARAM_LINK from="histogram_settings.display" to="histogram_settings_spacer.display"/>
                </CUS_BOX2>
                
                <!-- Output Box -->
                <CUS_BOX2 spacing="2" height="100%">
                    <CUS_CATEGORY_TEXT value="OUTPUT" font_size="15" font_weight="bold" />
                    <THEME_BOX_H_SEPARATOR/>
                    <TEXT value="MAKEUP GAIN" font_weight="bold" />
                    <CUS_BOX_COLUMN>
                        <!-- Gain -->
                        <COLUMN v_align="top" spacing="4">
                            <COLUMN spacing="-11">
                                <THEME_KNOB_SYM param_id="$post_gain$" positions_count="121"/>
                                <THEME_DSP_PARAM_ROUND_SETTINGS_BUTTON param_id="$post_gain$"/>
                                <CELL height="7"/>
                            </COLUMN>
                            <CUS_TEXT_VALUE param_id="$post_gain$" value_format="+.1" text_color="#85A94E" font_weight="bold" font_size="-1" />
                        </COLUMN>
                        <!--Auto Gain -->
                        <LAYER_STACK>
                            <THEME_STATUS_BUTTON_80 param_id="$auto_gain$">
                                <TEXT value="Compensate" h_offset="5" text_color="#85A94E" font_weight="bold" font_size="-1" v_offset="-1" />
                            </THEME_STATUS_BUTTON_80>
                            <THEME_DSP_PARAM_SMALL_RECT_SETTINGS_BUTTON param_id="$auto_gain$" v_align="bottom" v_offset="9"/>
                        </LAYER_STACK>
                        <CELL height="1"/>
                    </CUS_BOX_COLUMN>
                    <THEME_BOX_H_SEPARATOR/>
                    <CUS_BOX_COLUMN>
                        <!-- Dry/Wet-->
                        <COLUMN v_align="top" spacing="4">
                            <PARAM_TEXT param_id="$dry_wet$" content="{name}" font_weight="bold" />
                            <COLUMN spacing="-11">
                                <THEME_KNOB param_id="$dry_wet$" positions_count="101"/>
                                <THEME_DSP_PARAM_ROUND_SETTINGS_BUTTON param_id="$dry_wet$"/>
                                <CELL height="7"/>
                            </COLUMN>
                            <CUS_TEXT_VALUE param_id="$dry_wet$" text_color="#85A94E" font_weight="bold" font_size="-1"  />
                        </COLUMN>
                    </CUS_BOX_COLUMN>
                    <THEME_BOX_H_SEPARATOR />
                    <CUS_BOX_COLUMN width="100%">
                        <!--Brickwall -->
                        <LAYER_STACK>
                            <THEME_STATUS_BUTTON_80 param_id="$brick_enable$">
                                <TEXT value="Limiter" h_offset="4" text_color="#85A94E" font_weight="bold" font_size="-1" v_offset="-1" />
                            </THEME_STATUS_BUTTON_80>
                            <THEME_DSP_PARAM_SMALL_RECT_SETTINGS_BUTTON param_id="$brick_enable$" v_align="bottom" v_offset="9"/>
                        </LAYER_STACK>
                        <CELL/>
                        <CUS_BOX_COLUMN spacing="-35" width="100%" h_margin="0">
                            <COLUMN h_align="left" spacing="4" width="100%">
                                <PARAM_TEXT param_id="$brick_hard_soft$" content="{name}: {text_value} {unit}" width="100%" text_h_align="left" text_color="#85A94E" font_weight="bold" font_size="-1" />
                                <COLUMN spacing="-7"  h_align="left">
                                    <CUS_KNOB param_id="$brick_hard_soft$" positions_count="101"/>
                                    <THEME_DSP_PARAM_SMALL_ROUND_SETTINGS_BUTTON param_id="$brick_hard_soft$"/>
                                </COLUMN>
                            </COLUMN>
                            <COLUMN h_align="right" spacing="4" width="100%">
                                <COLUMN spacing="-7"  h_align="right">
                                    <CUS_KNOB param_id="$brick_release$" positions_count="101"/>
                                    <THEME_DSP_PARAM_SMALL_ROUND_SETTINGS_BUTTON param_id="$brick_release$"/>
                                </COLUMN>
                                <PARAM_TEXT param_id="$brick_release$" content="Release: {text_value} {unit}" width="100%" text_h_align="right" text_color="#85A94E" font_weight="bold" font_size="-1" />
                            </COLUMN>
                        </CUS_BOX_COLUMN>
                    </CUS_BOX_COLUMN>
                    <THEME_BOX_H_SEPARATOR />
                    <CUS_BOX_COLUMN>
                        <!-- Output Gain -->
                        <COLUMN v_align="top" spacing="4">
                            <PARAM_TEXT param_id="$out_gain$" content="{name}" font_weight="bold" />
                            <COLUMN spacing="-11">
                                <THEME_KNOB_SYM param_id="$out_gain$" positions_count="41"/>
                                <THEME_DSP_PARAM_ROUND_SETTINGS_BUTTON param_id="$out_gain$"/>
                                <CELL height="7"/>
                            </COLUMN>
                            <CUS_TEXT_VALUE param_id="$out_gain$" value_format="+.1" text_color="#85A94E" font_weight="bold" font_size="-1" />
                        </COLUMN>
                    </CUS_BOX_COLUMN>
                    <CELL flex="1"/>
                </CUS_BOX2>
                <!-- Out METERS -->
                <THEME_BOX layout_type="row" spacing="2" h_margin="5" id="out_levels" height="100%" font_weight="bold">
                    <COLUMN height="100%" v_margin="6">
                        <CUS_VMETER_BLUE orientation="vertical" param_id="$brickwall_gain$"  height="100%"/>
                    </COLUMN> 
                    <COLUMN height="100%">
                        <TPL_CHANNEL_METER param_id="output_peak" hold_param_id="output_peakhold" direction="output"/>
                    </COLUMN>
                </THEME_BOX>
                
            </ROW>
        </CELL>
    </THEME_DECORATIONS>
</DUMMY>